Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
binger1975 Posted on 29/03/2012 09:29
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message
 
Can anyone help?

I was telling my wife last night that we used to have a central train station. She found it difficult to vision. I've searched and cannot find any pics!!

Does anyone know of any sites or have any pics?

Cheers
IP: Logged
Tikataka Posted on 29/03/2012 09:35
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
No pics, although there are some in books where they produce old images of the ground. Pretty sure the old building is where Coral Island is now based. The tracks followed the road into Blackpool and directly behind the West Stand. Think the station was demolished round about 1970.
IP: Logged
Miko Posted on 29/03/2012 09:40
O/T Central Station!!
Edited On: 29/03/2012 09:44
Report Message | Email Message To A Friend | Reply To Message 

 
Loads of pics available.... just Google 'blackpool central station' and choose 'images' from menu.

Or try link on Facebook



Link: blackpool facebook
IP: Logged
Raging_Bull Posted on 29/03/2012 09:46
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
I remember it well, it used to be the main station in town, it was on the Coral Island site, the Palatine pub opposite it is where the Palace complex is now, it was lets say a bit wild back in the old days, especially in the Glasgow holidays.
IP: Logged
Wizaard Posted on 29/03/2012 09:49
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Go to the top of the Tower, look at the car park going all the way past Bloomfield Rd and imagine it full of railway lines...

Link: The view
IP: Logged
tangerinetydd Posted on 29/03/2012 10:08
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Got a jigsaw of it looks like it is from the 1950's or 60's. Any one want it?
IP: Logged
Godhelpus Posted on 29/03/2012 10:14
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
It was opposite the old Palitine hotel which is now Coral Island.
IP: Logged
Wizaard Posted on 29/03/2012 10:18
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Tydd

I'd be very interested [smi]
IP: Logged
Pete_BFC Posted on 29/03/2012 10:18
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Amazing what a bit of googling can do [;)]

Link: Pics of Old Station
IP: Logged
bfcpete Posted on 29/03/2012 10:20
O/T Central Station!!
Edited On: 29/03/2012 10:22
Report Message | Email Message To A Friend | Reply To Message 

 
I just about remember my Grandmother taking me to see the last train to arrive at the old Central station. It was in 1964 and I was 5 at the time. I read subsequently that it was the biggest station to be closed with 14 platforms - the equivlent of one of the major London terminals. I suspect the land it covered, together with the location made it more valuable for other uses as well as the Beeching cuts. We lost the line to Fleetwood not long afterwards. Fleetwood had a nice little station near the ferry terminal
IP: Logged
binger1975 Posted on 29/03/2012 10:21
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks. Have googled and found those pics, but i'm trying to find an ariel view before it was demolished.
IP: Logged
Pete_BFC Posted on 29/03/2012 10:25
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Binger, if you look at the 1908 pic it shows an aerial view of then and now.

Link: Aerial view
IP: Logged
straightatthewall Posted on 29/03/2012 10:27
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Oh Doctor Beeching. What HAVE you done....?
IP: Logged
binger1975 Posted on 29/03/2012 10:27
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Cheers Pete[^]
IP: Logged
davepick1 Posted on 29/03/2012 10:28
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
As a kid during and after the war we used to go through Central Station regularly.
We went down Charnley Rd, crossed Cornation St, then down either Vance Rd or Hull Rd and through the station to the Prom.
In the middle of the staion was a presentation cabinet with a ship, I think, or maybe a train.
In later life I had a part-time summer job in the Amusement Arcade which was out side the Bingo Hall.
IP: Logged
Wizaard Posted on 29/03/2012 10:32
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Binger

I'd already posted that picture [:X]
IP: Logged
binger1975 Posted on 29/03/2012 10:46
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry Wiz! Dont suppose there are any more ariel views nearer the 50s-60s??[rle]
IP: Logged
Wizaard Posted on 29/03/2012 11:02
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
I've got a picture at home in a book taken looking towards the Tower from the top of one of Blackpool's recently installed floodlight towers, with the main Engine Shed prominent just beyond the West Stand.

It's dated around 1958.

I'll try and scan it tonight and post it.
IP: Logged
Wizaard Posted on 29/03/2012 11:04
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
One from the 50s

Link: Pic
IP: Logged
Old_Laytonian Posted on 29/03/2012 11:31
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Anyone remember Summertime Special from the Bigtop on the Car Park of the old Central Station? 1975 or 1976, The Three Degrees, Mike & Bernie Winters and Peter Gordeno and his dancers!
IP: Logged
Wizaard Posted on 29/03/2012 11:33
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
As we had a guesthouse, we got free tickets.

The dancers were The Young Generation from memory [smi]
IP: Logged
ThePlumber Posted on 29/03/2012 11:56
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
From guesthouse owner to Yorkshire Seasider and still getting free tickets[:D]
IP: Logged
OppTheGeorge Posted on 29/03/2012 12:37
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Great thread!

Such a shame to close that route into town,would have been much better than what we have now.
IP: Logged
LANCASHIRELALA Posted on 29/03/2012 12:42
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
That's a brilliant photo Wiz. Why did they demolish it from there then ?
IP: Logged
Wizaard Posted on 29/03/2012 12:42
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Every time I come down Yeadon Way, I think this should still be the rail line in.

Only reason for sale was the land value and yet nothing had every really been done with it.
IP: Logged
foolweary Posted on 29/03/2012 12:49
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
The beeching report actually recommended that Central stay open and North be shut. It was always seen as a scandal that the reverse happened, which I guess is where Wizard's comment comes in.
IP: Logged
future_is_tangerine Posted on 29/03/2012 12:51
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Wiz - what was the building with the chimney in that pic ?
IP: Logged
Wizaard Posted on 29/03/2012 12:52
O/T Central Station!!
Edited On: 29/03/2012 13:04
Report Message | Email Message To A Friend | Reply To Message 

 
Another picture where the station buildings are still intact, and you can see where they've filled in the platform bays.

Think they only knocked down the toilet block (on the left of the picture) about 18 months ago. It was used for the exterior shots mocked up as a Casino in Blackpool, starring David Morrisey.

Link: Must be late 60s, early 70s
IP: Logged
Wizaard Posted on 29/03/2012 12:56
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
FIT

Think it's the old electricity generating works, backing onto Blundell St and the tramsheds.

Gasworks were where Tesco is now on the edge of town.
IP: Logged
LANCASHIRELALA Posted on 29/03/2012 12:57
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
The Beeching Report was responsible for closing some of our most beautiful railway stations, Beeching considered rail travel as without a long-term future. Outragoues hatchet man [:(!] I'm not like 90, but I do find trains fascinating, maybe because of a backlog of family members being train-drivers and railway guards etc....and a penchant for watching Michael Portillo's Great British Railway Journeys [:I]
IP: Logged
softmick Posted on 29/03/2012 13:06
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Mr Wizzard

nice picture - brought back memories of my bagging days in the '50s. George Farm goal kicking over the West Stand and smoke and cinders blowing over the ground when the wind got up.

See Lytham Road at the top middle - straight as a die - there was a "measured mile" along there - anyone know if the markers remain?
IP: Logged
binger1975 Posted on 29/03/2012 13:08
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Cheers wiz[^]
IP: Logged
bafrua Posted on 29/03/2012 13:13
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
It was the greedy council who persuaded Beeching that it would be 'better' if Central closed, rather than North.

When that section of route closed in November 1964, 22 miles of sidings and running track were removed. It's hard to imagine now that tracks ever existed.
IP: Logged
straightatthewall Posted on 29/03/2012 13:13
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Never really seen this before, but I have to say that the position and station building look magnificent.

You wonder whether the decline of Blackpool has as much to do with changing social behaviour than some have suggested.

Seems to me that the place could still be a thriving resort, given the right infrastructure.
IP: Logged
bafrua Posted on 29/03/2012 13:17
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
The beauty of Central was that it was situated within fifty yards of the promenade. Blackpool planners, only recently, were saying that one of the problems with North is that passengers when they've arrived in the resort, can't see the Golden Mile !! Not only that, but Central, from a railway operational point of view, was an absolute dream.
IP: Logged
cheshire_tangerine Posted on 29/03/2012 13:19
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
If you're into local history and the Fylde once was take a look at Rossallbeach.co.uk link below some really goood nostalgic stuff on ther.

Link: Blackpool of old
IP: Logged
mickYNWA Posted on 29/03/2012 13:24
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Reminds me of a conversation I overheard on the beach ...

The train had just got in from Sheffield ...

Bert said to Fred 'Good idea of yours Fred to come and have a paddle. If we went to the digs first the tide would have been out.

Fred 'Aye Bert, but by the bleedin ell mate thy feet are mucky'

Bert 'Ya reet Fred, I couldn't come last year'

[:D]
IP: Logged
Wizaard Posted on 29/03/2012 13:47
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
[:D]

I know people from Sheffield. They'll be getting that soon.
IP: Logged
ifihadthewingsofanangel Posted on 29/03/2012 16:07
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Did anyone on here use to frequent the Prem
amusment arcade in the late 60s & early 70s.
Great juke box & pin balls.
It,s rear entrance was in the alley at the
side of central station,next to the pub,
was it the New Inn.
IP: Logged
Seaside_Lee Posted on 29/03/2012 17:32
O/T Central Station!!
Edited On: 29/03/2012 17:34
Report Message | Email Message To A Friend | Reply To Message 

 
Trains that brought thousands into Blackpool and turfed them out straight onto the golden mile!

How could anyone think it was a good idea to demolish that?

They were as daft back then as they are now!

Today we have the stupid yellow bike scheme, ruining Chapel Street and Reads Avenue for cycle lanes that nobody ever uses/or was ever going to use!

The Wedding Chapel

The lights in Birley Street

The pedestrianisation of St johns Square (which has stopped easy access to the Winter Gardens for many)

The ridiculous shared space infront of the tower

An open air concert arena (thingy) in front of the tower (on the rainiest, windiest part of the prom) in a town that hasn't had a good long sunny summer since 1976!

Making Bond Street one way

The crazy roundabout at the Royal Oak

Knocking down Derby baths to become a...er...field

Knocking down the Mecca to become a Universi...erm? (perfect place for a concert arena...nah won't happen its ear marked for social (scrote) housing!)

Now they look like they are about to ruin Talbot Square!

and the knocking down of Pontins (yeah I know thats fylde Borough) to become a...become a...erm?


Sheesh no wonder its a higgledy-piggledy mess
IP: Logged
Wizaard Posted on 29/03/2012 18:00
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Not quite Central station but a good view of the sheds and carriage sidings right up to the back of the West Stand.

Turntable where the Travelodge is too. [;)]

Link: Another view from the tower
IP: Logged
cageytips Posted on 29/03/2012 18:08
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
I remember Central Station and I also spent a lot of time at Squires Gate station train-spotting. The station Porter at that time was "Eddie Dean"

...What I cannot remember is whether there was a north station at the same time there was the Central station.

IP: Logged
Wizaard Posted on 29/03/2012 18:10
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
North opened first so yes, of course there was.
IP: Logged
Wizaard Posted on 29/03/2012 18:17
O/T Central Station!!
Edited On: 29/03/2012 18:18
Report Message | Email Message To A Friend | Reply To Message 

 
North Station before they demolished the main bit and reduced it to the old excursion platforms, from the Tower.

I can see our old house on this one [:D]

Link: As it was
IP: Logged
Lytham_FY8 Posted on 29/03/2012 19:10
O/T Central Station!!
Edited On: 29/03/2012 19:13
Report Message | Email Message To A Friend | Reply To Message 

 
The picture below is ace, even if it's mundane it gives a really good impression of the time. Thanks for the link Miko.

I don't remember the old North or Central, I was 2 when they knocked them down but it just seems a crying shame that they got rid, especially when you consider what replaced them.

Strange how you forget easily as well, someone was talking about the old Shard Bridge and I couldn't picture it at all even though I'd driven over it countless times.

Link: North
IP: Logged
Lytham_FY8 Posted on 29/03/2012 19:17
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Not sure if this has been posted but this is a decent photo of Central and the position it located, taken just before it was knocked down.

Link: In the days before Mcdonalds
IP: Logged
dukeandpepi Posted on 29/03/2012 19:25
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Those were the days!
Remember sneaking into the engine sheds to cop all the engines for the illumination specials. Train spotters paradise as engines would come from other regions like the Clan Class loco from Scotland.
Then a short walk to the Kop to watch top flight football.
IP: Logged
walkley-tangerine Posted on 29/03/2012 19:32
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
I'm not from Blackpool - I grew up In Chipping with the sheep and Boddingtons bitter - but what a cracking read this thread has been. I must be getting old...38 this year...now then, where did I put my copy of Caravan World?
IP: Logged
warripool Posted on 29/03/2012 19:49
O/T Central Station!!
Edited On: 29/03/2012 19:50
Report Message | Email Message To A Friend | Reply To Message 

 
Found this one in one of the links above !

The roof going up on the kop [^]

https://www.facebook.com/photo.php?fbid=155263967876584&set=a.150297905039857.37560.149328158470165&type=3&theater

Link: link
IP: Logged
Hannibal_de_Seaside Posted on 29/03/2012 20:03
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
What a glorious thread! I was raised in Albert Road, so Central Station was at the bottom of my street. Saturday mornings were spent down there with the old pram waiting for the trains to come in and a "carry your bags, sir" offered to any family who looked particularly heavily laden. Nice little earner 'till the soddin taxi drivers got us banned. Thereafter me and my mate had to ply our trade at the lesser populated North Station.

A time of innocence, a time of consequences.
IP: Logged
whitstabletangerine Posted on 29/03/2012 20:26
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Can remember the trains Blackpool to London direct and vice versa and one train not sure which one did it in 4hrs.
There was the Fylde Coast Express and The Lancashire Pullman, Blackpool in it's heyday, when you could not find a place left to sit on the beach, the tide being out of course.
IP: Logged
thornton_pool Posted on 29/03/2012 20:50
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Is it coincidence that yeadon way and the giant car park used the old central rail route ?
IP: Logged
Martonbornandbred Posted on 29/03/2012 20:58
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Binger. I have a print of a painting of the Football Ground showing Bloomfield Road, the sidings, steam trains, Blackpool buses, a GPO van etc and a match being played presumably between Blackpool and Bolton Wanderers.
It was a limited edition in 2003 and is called "Bloomfield Road the Glory
Years Celebrating the 50th anniversary of the famous 'Matthews Final' 1953 -2003" Shows Matthews and Morty
I can take a photo of it and send it to you if you have an email address. It is under glass, won't be fantastic but will give you an idea of how the ground and sidings used to look.



IP: Logged
MACSEASIDER Posted on 29/03/2012 20:59
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
This is a great website for old pics.

Spend hours looking at this site. Fabulous Fylde Coast pictures.

Link: Rossallbeach.co.uk
IP: Logged
bafrua Posted on 29/03/2012 21:06
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Yeh, and the Chief Planning Officer at the time couldn't wait to demolish the original Blackpool North as he considered it to be an eyesore. If he hadn't been so quick to get rid, Blackpool could have had its own G Mex.
IP: Logged
premierdream2010 Posted on 29/03/2012 21:10
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
When you look at these pictures it's a disgrace what the council's over the years have done. These were magnificent buildings with character that have been knocked down and horrible boxey looking structures put up.
If you go to a lot of towns in the country they have kept their Victorian buildings and looked after them. Our Blackpool motto is progress look at these pictures and look at it now. Progress I think not ........
IP: Logged
Lytham_FY8 Posted on 29/03/2012 21:42
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Madness to knock either down, if the planning officer was in such a rush to knock North down because it was an eyesore why go and replace it with frickin (what is now) Wilkinsons ?

IP: Logged
dukeandpepi Posted on 29/03/2012 22:03
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Beeching report planned to keep the line to Fleetwood and Blackpool Central. The line from Poulton to Blackpool North was to be axed.
This would mean few would suffer and with the bus and tram stops outside Central station would have a great transport system in the Fylde.
The councillors were short sighted and that was it.
Anyone travelling by public transport to Fleetwood will be shocked when they arrive at Blackpool North. A long walk to the bus stop and a further 40 minute bus ride.
IP: Logged
binger1975 Posted on 29/03/2012 22:49
O/T Central Station!!
Edited On: 29/03/2012 22:50
Report Message | Email Message To A Friend | Reply To Message 

 
Yeah that would be great Marton. Thinking not just for me now, as there seem to be a fair few on here interested[^]

I'm 37 and i was never aware there was a fleetwood line, until a couple of years ago. My brothers in laws bought the North Euston Hotel & I questioned, why it was called that. My Dad told me it was named after the station in London as there was a direct line to outside the hotel. I was gobsmacked!!!
IP: Logged
crowngreenpool Posted on 29/03/2012 23:25
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks everyone, amazing pictures. I can't believe that at a month shy of 46 and this is the first time I've seen shots of the railway line.

Before the later postings here, I was going to ask how close the line got to the West. Incredible, especially considering the size of our crowds back then that thousands were walking out literally yards away from a presumably very busy terminus. No doubt it wouldn't be allowed today.

I'm a Poulton lad, this was big town living, too much for me! But we did have one of the longest platforms in the country, don't you know.[;)]
IP: Logged
Martonbornandbred Posted on 30/03/2012 01:02
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
The North Euston Hotel was built in 1841 to serve overnight guests making the rail journey from London Euston, and was close to the point of departure for the steamers to Scotland.

Travellers would have to alight at Fleetwood and take the sea ferry to Ardrossan and then travel by rail to Glasgow. Queen Victoria once took the same journey.

I've taken a photo of the print Binger.

IP: Logged
binger1 Posted on 30/03/2012 08:04
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
jonny_bag_uk@yahoo.co.uk

Cheers Marton[^]
IP: Logged
Middxile Posted on 30/03/2012 08:21
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
During the Winter, only about three platforms were in use.
During the Summer, all 14 were in use, with trains (Specials) backed up, waiting their turn for a platform to become available so that their passengers could disembark. This was all day, and every day.
IP: Logged
chris-hull Posted on 30/03/2012 12:14
O/T Central Station!!
Edited On: 30/03/2012 13:23
Report Message | Email Message To A Friend | Reply To Message 

 
I have just posted a picture on my Twitter attached - sorry if it has already been posted - of a picture of the Kop with Central Station and train lines as a backdrop. Check the fella on the Kop roof. I think it is a great picture.

Link: Kop and Central Station
IP: Logged
Lytham_FY8 Posted on 30/03/2012 12:14
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
'No doubt it wouldn't be allowed today.'

Aye, but it was sensibly assumed people weren't stupid, nowadays it's assumed they are.

IP: Logged
Fountain Posted on 30/03/2012 12:23
O/T Central Station!!
Edited On: 30/03/2012 12:28
Report Message | Email Message To A Friend | Reply To Message 

 
wiz 18.17 Me too!![:D]

Do you remember the turntable outside North station, would be near enough level with where you lived? Used to spend hours playing with it, until we'd get chased off, or a train driver would give us a lift down the track towards DRRB.
IP: Logged
davepick1 Posted on 30/03/2012 12:23
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
f_i_t, you asked about the duilding in the old photo pof Central Station. After racking my brain (a hard job) and looking at some of my historical Blackpool books I realised it was the old Gas Works. There used to be a gasometer there. I remember going there as a kid to get bags of coke. Older members like Whitstable will probably remember it. I was on Rigby Rd.

I have a print of a painting by Eric Bottomley, of the North Station in the 50s.
Very nostalgic and brings back my early days.
IP: Logged
whitstabletangerine Posted on 30/03/2012 14:01
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry off topic I know, but for DavePick.

gas works.

Link: gas works
IP: Logged
davepick1 Posted on 30/03/2012 15:12
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
that's Brill Whitstable, exactly what I was saying. I must have got there before them because I distinctly remember coming away with a sack onmy cart.
1947 was indeed a cold one, we had a sloping, cobbled back entry leading from Fleet St. to Regent Rd. and there was at least 2 feet of snow.
I remember that 1942 was also very cold.
IP: Logged
MrTangerineman Posted on 30/03/2012 15:55
O/T Central Station!!
Edited On: 30/03/2012 15:58
Report Message | Email Message To A Friend | Reply To Message 

 
Dave - we bought that EB painting of North Station for my in-laws 50th wedding anniversary a few years back. Very nostlagic painting.

Link: NS
IP: Logged
Wizaard Posted on 30/03/2012 15:59
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Founts

Used to live on Banks St, and would walk to the top end to get into the carriage yards just beyond the signal box, before strolling onto the pillbox on DRRB.

Happy days.
IP: Logged
MrTangerineman Posted on 30/03/2012 16:02
O/T Central Station!!
Edited On: 30/03/2012 16:08
Report Message | Email Message To A Friend | Reply To Message 

 
Can any of you remember the resident "Jub" (Jubilee Class) at North Station. We used to walk down the track from Layton Station to the sheds/turntable at NS and wander among the engines there - taking numbers/names - that Jub was nearly always there. No H&S in those days [:D]
IP: Logged
davepick1 Posted on 30/03/2012 16:03
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
John, seeing the old cars and the tram takes me back to those days when I rode a M/C for the Post Office, used to come from Topping St across in those days and old Charlie (P.C.1) was on permanent traffic control there. every time I went across he would give a wave. Great days.
IP: Logged
MrTangerineman Posted on 30/03/2012 16:07
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Dave - they were great days. Did a lot of my bagging at North [smi]. I worked at a local Solicitors on Edward Street for a time and one of the partners gave me a lift in his MG car. It was spotting rain and the policeman on point duty there came over to the car and told him to get his wipers on [:D]
IP: Logged
Wizaard Posted on 30/03/2012 16:09
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
You wouldn't have thought a solicitor would need the additional revenue from bagging...

taking the money off us kids.

[:D]
IP: Logged
Curryman Posted on 30/03/2012 16:10
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Poor old Doctor Beeching always gets the blame for the demnise in our railway system.

I once read a fascinating book about him, he wasn't a railway man but was brought in by the then Govt to carry out his report and modernoise the transport system. The brief he was given was very narrow with little wriggle room, and had he stuck to the exact rules, Blackpool would have been without a train station.

A lot of the working practices were still from the Edwardian era and the then Unions were loath for anuy change to them (nothing new there then.

Ernest Marples, the then Transport Secretary was a major shareholder in BRS who would gain immensley from the freight traffic that would have to transfer from the rail network to the road network, so there was obviously no personal gain to be had!!!

His report was given to the Conservative Government who were defeated at the following election and the Labour Government carried out the hatchet job.

Beeching was the fall guy for both governments.

Factabritishrailbeechingaxemundo
IP: Logged
MrTangerineman Posted on 30/03/2012 16:11
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Wiz - I think I got my early pace in football from running away from taxi drivers when I was bagging [:D]

That Jub was

Link: Oh no it's..................................
IP: Logged
Fountain Posted on 30/03/2012 16:13
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
The pillbox[:D] Used to make dens in there, and never understood why they were getting trashed, because only we knew about it[;)]

Opening the bedroom window on a hot summer's evening was like having a full meal. The smell of the Abattoir followed by the smell of biscuits washed down with the smell of the brewery. Spoilt by the smell of deisel[:D]
IP: Logged
Wizaard Posted on 30/03/2012 16:16
O/T Central Station!!
Edited On: 30/03/2012 16:19
Report Message | Email Message To A Friend | Reply To Message 

 
Good call on Seahorse.

From memory, Central had Alberta, South Africa and Barham among others.

All from when I was very young. My main train spotting memories are more green diesels as the transition came in to blue, late 60s, early 70s. Trainspotting club from school with days out to most of the major Northern Cities and works, plus the annual trip to London for 5 days.

Wouldn't be allowed these days, that's for sure.

Re Beeching. Where Central missed out on his report was that stations were ranked on the number of tickets they sold, not how many passengers were there as a destination. Obviously, Blackpool missed out because the vast majority of punters were on a return and not buying tickets at the station. I've a degree in this stuff [:P][;)]
IP: Logged
MrTangerineman Posted on 30/03/2012 16:17
O/T Central Station!!
Edited On: 30/03/2012 16:28
Report Message | Email Message To A Friend | Reply To Message 

 
Founts - didn't you have the smell of Waller & Hartleys for pudding?
I remember Barham. Used to go to North more than Central as it was near to Layton. We used to sit on the banking on Crossleys Bridge with our Combine books (Remember those - as important as getting your Dandy and Beano annuals at Christmas). I remember "Getting" Mallard on it's way to North one day - must have been some sort of special event.
Must get a new anorak [;)]
IP: Logged
seasider3 Posted on 30/03/2012 16:39
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
In the early sixties the resident Jubs were
45571 South africa
45574 India
45580 Burma
45584 North West Frontier
45653 Barham
45705 Seahorse
Summer saturdays would bring in 100 plus specials. There were extensive carriage sidings where the travelodge and climbing walls are, what is now South station car park and even out at Wrea Green.
First time I went to Bloomers was after visiting Central sheds then going in when they opened the gates at 3/4 time to let fans out
IP: Logged
whitstabletangerine Posted on 30/03/2012 17:35
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Anyone catch sight of a Brittania class loco in Blackpool, I remember seeing one, could have been mid sixties at the North.
IP: Logged
MrTangerineman Posted on 30/03/2012 17:40
O/T Central Station!!
Edited On: 30/03/2012 17:41
Report Message | Email Message To A Friend | Reply To Message 

 
You used to get a few "Brits" in NS. I can't remember all of the types but in order "Importance" for named engines think it went:
Brits
Semis
Pats
Jubs
Prbably wrong but it's a long time ago [;)]
IP: Logged
dukeandpepi Posted on 30/03/2012 17:48
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Never saw a "semi" (coronation class) loco on the Fylde.
Clans were common on the Scots specials.B2's
and Eastern region locos were also abundent during the iluminations.
IP: Logged
MrTangerineman Posted on 30/03/2012 17:53
O/T Central Station!!
Edited On: 30/03/2012 17:55
Report Message | Email Message To A Friend | Reply To Message 

 
D&P couldn't say if I did honestly - talking about 1959/1960 here - but I remember plenty of engines with the shields on the front. [;)] One thing I remember as a kid is that, when we went on a school camping holiday to Devon, we changed trains at Exeter (I think!) and the engines down there were all brilliant colours like toy ones. Up here they were always pretty grimey [smi]
IP: Logged
whitstabletangerine Posted on 30/03/2012 18:15
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
football special, 2nd picture.


Brit.

Link: Brit.
IP: Logged
seasideboz Posted on 30/03/2012 20:27
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Great link Whitstable.
That was the last ever steam hauled special on boxing day 1967.

Remember the game too. Pool won the return game 3-1 a few days later.

I was pulled by Olver Cromwell over the Settle Carlisle last August.
IP: Logged
ribble Posted on 30/03/2012 20:53
O/T Central Station!!
Edited On: 30/03/2012 21:07
Report Message | Email Message To A Friend | Reply To Message 

 
So what? I was pulled by Maggie Maloney in Over Wyre in 1978, but I don't go round bragging about it.
IP: Logged
Talbot275 Posted on 30/03/2012 21:22
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
For the benefit of younger posters Blackpool North Station or talbot Road as it was named when built by the L&Y railway was not situated where it is now but on the corner of Dickson and Talbot Road and was the equal in size and stature of any main line city stations. The current station uses the platforms which were the overspill or excursion platforms which were used by special or excursion trains bringing in day visitors. You could get a local train from Blackpool North to Fleetwood calling at playton poulton, thornton, burn naze and wyre dock. Blackpool had two fantastic stations but somehow has lost them both - a shame really. I do not remember central station in its heyday but have fond memories of the Old north station. I write this looking at framed print of Blackpool North station in all its 1950's glory
IP: Logged
mickYNWA Posted on 30/03/2012 22:31
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
A bit O/T re Cenral but ...

A keen train spotter I remember 60022 Mallard and N1000 coming to Blackpool North. I had been aware of the date beforehand - September 30th 1961 - and looked up the fixtures to see if we were at home that day. We were and thumped Chelsea 4-0, after which I went to North and 'cabbed' both engines.

Years later, reading a book on Stanley Mathews, I discovered his last game at Bloomfield Road was that very same day. I didn't realise it at the time, but hey I was there. [smi]
IP: Logged
MrTangerineman Posted on 31/03/2012 08:54
O/T Central Station!!
Edited On: 31/03/2012 09:38
Report Message | Email Message To A Friend | Reply To Message 

 
Mick - I posted further up that I had seen Mallard coming through Layton to NS but couldn't remember the date. 1961 so I was 12 years old. I remember how different it looked to other engines.
IP: Logged
davepick1 Posted on 31/03/2012 09:34
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Talbot 275, MrT and I were talking about the same priont ( I assume) earlier on. I have it also.
Some ghreat photos and memories on here.[^]
IP: Logged
MrTangerineman Posted on 31/03/2012 09:39
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Morning Dave - how are things in Lincs today?
IP: Logged
davepick1 Posted on 31/03/2012 09:46
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Morning John, overcast and definitely cooler.
We have a nosepipe ban coming into force tomorrow, we don't seem to get much rain here.
How's the weather over there today?
I got an invite to the match tonight from a fan who lives nearby (STH), unfortunately we have been invited to dinner by pour next door neighbours so can't go. I'm not even sure I'll get to anothr game this season as we are going to France a week on Friday so will mioss the next 2 week-ends. Just have to hope for the Play-Offs. I think we won't make them.
IP: Logged
MrTangerineman Posted on 31/03/2012 09:51
O/T Central Station!!
Edited On: 31/03/2012 09:53
Report Message | Email Message To A Friend | Reply To Message 

 
Hi Dave - started off a bit misty here by the seaside - cooler and grey skies now - perfect for football [:D]. I don't know if you picked it up but we stayed near where you are at an old RAF base/CL called Metheringham - worth a visit if you haven't been. We also went to see the BoB flight and a big old castle thing near there. Did our shopping at your local Tesco [;)]
It's really flat around there - not surprised there is a lot of speeding going on [:O]
Looking forward to tonight - just hope the defence has tightened up a bit! You never know with Pool we might just sneak in to the play-offs - better than fighting relegation anyway.
IP: Logged
davepick1 Posted on 31/03/2012 09:57
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
John, you should have contacteed me, it would have been good to see you.
I think you're talking about Tattershall Castle, very RAF roiund there as most of this area of Lincs is, for obvious reasons. We keep meaning to go to metheringham, went many years ago but want a re-visit.
I am going to record the gasme tonight and hope IO don't find the result before I watch it. Might be watching late tonight or very early tomrrow.[;)]
IP: Logged
MrTangerineman Posted on 31/03/2012 10:01
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Have a good day Dave.
What gets me is that you pay all this money to get Season Tickets so that you don't have to go shopping on a Saturday and what do they do - move the game [ref]
IP: Logged
davepick1 Posted on 31/03/2012 10:05
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
[sad]
IP: Logged
letsBasham Posted on 31/03/2012 10:10
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
DPick - Just ask them to pop the telly on during the meal - that'll go down well [:D]
IP: Logged
tangerineboots Posted on 31/03/2012 10:45
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Great thread for nostalgia, I lived up Greenhill, behind North Station as a child.Couldn't sleep when we moved house, it was too quiet without the engines.
IP: Logged
bafrua Posted on 31/03/2012 10:58
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Semis were very rarely seen on the Fylde coast, if at all. I think you may have seen Clans.
IP: Logged
MACSEASIDER Posted on 31/03/2012 11:03
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Really enjoyed reading this thread. [^]
IP: Logged
seasider3 Posted on 31/03/2012 13:08
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Mallard was to big for the turntable at north sheds and had to be turned in the triangle at Poulton.
IP: Logged
blackawayjoe Posted on 31/03/2012 13:19
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Oh yes lots of ska and reggae stuff. Good flipper machines too Joe
IP: Logged
blackawayjoe Posted on 31/03/2012 13:39
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Anyone remember the slightly odd looking bloke on the prize bingo at the station entrance. jet black wig.
IP: Logged
davepick1 Posted on 31/03/2012 16:05
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Joe, I workeed in the amusement arcade there, late 60s/early 70s, I'm wracking my brains (what's left of them.

letasbasham, believe it of not they haven't got a TV, amazing in this day and age.[rle]
IP: Logged
blackawayjoe Posted on 31/03/2012 20:55
O/T Central Station!!

Report Message | Email Message To A Friend | Reply To Message 

 
Hi Dave
my mum was a complete bingoholick so I used to get taken to all the top prize bingo and Central was a good one. I wouldnt of minded but I was 40 years old at the time (kidding)[sad] I remember we won a lovely gold plastic horse statue that was on prominent display felt like we'd won the pools. Happy days [smi]
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread




Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2014 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
 
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213